/**
 * 新增或编辑工单
 * */

//通话记录跳转过来的
var callId = helper.request.queryString("cid");
var cCustomerName = decodeURIComponent(helper.request.queryString("cCustomerName"));
$(function() {
	laydate.render({
	   	elem: '#sc_time',
	   	// range: '~',
			type: 'datetime',
	   	theme: '#1ab394',
	   	// calendar: true
	   });
	//通话记录跳转过来的
	var cphone = helper.request.queryString("cphone");
	
	// var FileUrl = decodeURIComponent(helper.request.queryString("FileUrl"));
	if(cphone) {
		$('#order_tel').val(cphone); //否	string	联系电话
	}
	if(cCustomerName) {
		$('#order_company').val(cCustomerName); //是	string	姓名/联系人
	}
	// if(FileUrl) {
	// 	$('#order_company').text(FileUrl); //是	string	姓名/联系人
	// }
	autosize($('textarea'));
	//获取工单子类
	helper.getDropList.getlistDropByDic($('#order_gdzl'), 'GSZL');
	//获取工单来源
	helper.getDropList.getlistDropByDic($('#order_source'), 'GDLY');
	// .then(function() {
	// 	$('#order_source').selectpicker('val', '468').trigger('change');
	// });
	//获取业务办理
	helper.getDropList.getlistDropByDic($('#order_handle'), 'YWLX');
	//获取工单类型
	helper.getDropList.getOrderRadios($('#order_type'), 'GDLX', 'inlineRadioOptions').then(function() {
		// $('#order_type').find('input[type="radio"]').on('change', function() {
		// 	if($(this).val() === "107") { // 业务办理
		// 		$('#order_handles').show();
		// 	}else{  
		// 		$('#order_handles').hide();
		// 	}
		// });
	});
 
	//工单有效性 
	$('#order_iseffective').find('input[type="radio"]').on('change', function() {
		//是否有效工单项(0有效，1无效)
		if($(this).val() === "1") { //无效
			$('.order_note').show();
			$('#order_isover_box').hide();
			$('#order_isover').find('input[type="radio"][value="1"]').prop('checked', true).trigger('change');
		} else {
			$('.order_note').hide();
			$('#order_isover_box').show();
			$('#order_isover').find('input[type="radio"][value="0"]').prop('checked', true).trigger('change');
		}
	});

	//获取接收部门 
	getDepts('reginsTreeView', 'order_transfer_dept');
	
	// 立即处理
	$('#order_isover').find('input[type="radio"]').on('change', function(){
		if($(this).val() === '1'){
			$('#order_transfer_depts').hide();
		}else{
			$('#order_transfer_depts').show();
		}
	});
	
	//新增工单创建
	$('#save_order').on('click', orderSave);
	
});

//新建工单 保存
function orderSave() {
	if(!regexs.userNameReg.test($.trim($('#order_name').val()))) {
		layer.confirm('请输入有效的客户姓名（2-20位汉字可以包含·•）！', {
			icon: 2,
			btn: ['确定']
		});
		return;
	}
	if(!regexs.phone.test($.trim($('#order_tel').val()))) {
		layer.confirm('请输入正确的联系电话！', {
			icon: 2,
			btn: ['确定']
		});
		return;
	}
	// if(!$.trim($('#order_company').val())) {
	// 	layer.confirm('请输入公司名称！', {
	// 		icon: 2,
	// 		btn: ['确定']
	// 	});
	// 	return;
	// }
	// if($('#order_iseffective').find('input[type="radio"]:checked').val() === '1') {
	// 	if(!$.trim($('#order_note').val())) {
	// 		layer.confirm('请输入无效原因！', {
	// 			icon: 2,
	// 			btn: ['确定']
	// 		});
	// 		return;
	// 	}
	// }
	
	// if($.trim($('#order_transfer_dept').val()) && $('#order_receiveUser').val() === "0"){
	// 	layer.confirm('请选择接收人！', {
	// 		icon: 2,
	// 		btn: ['确定']
	// 	});
	// 	return;
	// }
	
	var order_handle = $('#order_handles').is(':visible') ? $('#order_handle').val() : 0,
			order_transfer_dept = $('#order_transfer_dept').attr('data-id'),//int 接收部门
			order_receiveUser = $('#order_receiveUser').val();//int 接收人
	if($('#order_isover').find('input[type="radio"]:checked').val() === '1'){
		order_transfer_dept = 0;
		order_receiveUser = 0;
	}
	
	$.post(huayi.config.callcenter_url + 'CallInScreen/AddWorkOrder', {
		source: $('#order_source').val(),//int 工单来源-下拉，数据来源：数据字典GDLY；
    gdlx: $('#order_type').find('input[type="radio"]:checked').val(),//int 工单类型-单选，数据来源：数据字典GDLX；
    ywlx: order_handle,//int 业务办理-下拉，工单类型选择“业务办理”时数据来源：数据字典GDLX，工单类型选择“投诉”时数据是投诉，传值ID与工单类型一致
    // customerid: ,//int 客户id； -此参数可根据来电弹屏时的客户绑定
    callid: callId,//string； -此参数可根据来电弹屏时的客户绑定
    callCustomer: $('#order_name').val(),//string 客户姓名； -此参数可根据来电弹屏时的客户绑定
    tel: $('#order_tel').val(),//string 联系电话 ； -此参数可根据来电弹屏时的客户绑定
    company: $('#order_company').val(),// 公司名称
    limitdate:$('#sc_time').val(),//截止日期
		fkcont:  $('#order_reception').val(),//string 反馈内容；
    iseffective: $('#order_iseffective').find('input[type="radio"]:checked').val(),//int 是否有效工单项(0有效，1无效)；
    note: $('#order_note').val(),//string 无效工单必填备注；
    clbm: order_transfer_dept,//int 接收部门；
    clid: order_receiveUser,//int 接收人；
		isover: $('#order_isover').find('input[type="radio"]:checked').val(), //int 是否立即处理（默认为0，立即处理为1，立即处理的工单无法指派接收人和接受部门）
		token: $.cookie("token")
	}, function(result) {
		result = $.parseJSON(result);
		if(result.state.toLowerCase() == "success") {
			cleanOrderForm();
			top.workcount();
			layer.msg("保存成功");
		}
	})
}
           
initTable();
function initTable() {
				//先销毁表格
				$('#list').bootstrapTable('destroy');
				//初始化表格,动态从服务器加载数据
				$("#list").bootstrapTable({
					method: "get", //使用get请求到服务器获取数据
					url: huayi.config.callcenter_url + "Callleave/GetList", //获取数据的Servlet地址
					contentType: 'application/x-www-form-urlencoded',
					striped: true, //表格显示条纹
					pagination: true, //启动分页
					pageSize: 10, //每页显示的记录数
					pageNumber: 1, //当前第几页
					pageList: [10, 20, 50, 100], //记录数可选列表
					search: false, //是否启用查询
					showColumns: false, //显示下拉框勾选要显示的列
					showRefresh: false, //显示刷新按钮
					sidePagination: "server", //表示服务端请求
					//设置为undefined可以获取pageNumber，pageSize，searchText，sortName，sortOrder
					//设置为limit可以获取limit, offset, search, sort, order
					queryParamsType: "undefined",
					queryParams: function queryParams(params) { //设置查询参数
						var param = {
							page: params.pageNumber,
							pagesize: params.pageSize,
							// strtelnum: $("#strtelnum").val(),
							// settime: $("#lysj").val(),
							// removetime: $("#clsj").val(),
							// status: $("#cljg").val(),
							token: $.cookie("token")
						};
						return param;
					},
					onLoadSuccess: function() { //加载成功时执行
						//layer.msg("加载成功");
					},
					onLoadError: function() { //加载失败时执行
						//layer.msg("加载数据失败", { time: 1500, icon: 2 });
					}
				});
			}
			$(".setwin").click(function() {
				$(".t-shade").removeClass("cx");
				$('audio')[0].pause();
			});
			//录音
				function ck(val) {
					var path =cCustomerName;
					$(".t-shade").addClass("cx");
					$(".Ly_box").empty();
					$(".LY_box").empty();
					$('<audio  style="width:100%;"class=" " src="' + path + '" loop="loop" controls="controls"></audio>').appendTo(".Ly_box");
					$('<a href="' + path + '" class="sc_btn LY "download="' + path + '">下载录音</a>').appendTo(".LY_box");
				}

//清空表单
function cleanOrderForm() {
	$('#order_form').find('input.form-control').val('');
	$('#order_form').find('textarea.form-control').val('');
	$('#order_form').find('select.form-control').val('0');

	$('#order_type').find("input[type='radio'][value='107']").prop("checked", true).trigger('change');
	$('#order_iseffective').find("input[type='radio'][value='0']").prop("checked", true).trigger('change');

	$('#order_transfer_dept').val('').trigger('keyup');
	$('#order_transfer_dept').attr('placeholder', '请选择部门');
	$('#order_transfer_dept').attr('data-id', 0);

	$('#order_receiveUser').selectpicker('destroy');
	$('#order_receiveUser').empty();
	$('#order_receiveUser').append('<option value="0">请选择接收人</option>');
	$('#order_receiveUser').selectpicker('refresh');


	$('#order_form').find('.selectpicker.form-control').selectpicker('val', '0').trigger('change');
	$('#order_source').selectpicker('val', '468').trigger('change');
	
	$('#order_isover').find("input[type='radio'][value='0']").prop("checked", true);
}


/**
 * 获取接收部门  获取投诉类型
 * el1, 树形结构元素id名 reginsTreeView
 * el2, 搜索框元素id名 order_transfer_dept
 * */
function getDepts(el1, el2) {
	//初始化 样式
	$('#' + el2).on('focus click', function() {
		$('#' + el1).removeClass('hidden').addClass('show');
	});
	$('#' + el2).on('keyup', function() {
		if($(this).val() == '') {
			$('#' + el1).treeview('uncheckAll', {
				silent: true
			});
			$(this).attr('data-id', '0');
		}
	});
	$('#' + el2 + ' .caret').on('click', function() {
		$('#' + el1).removeClass('hidden').addClass('show');
	});
	$('#' + el1).mouseleave(function() {
		$(this).removeClass('show').addClass('hidden');
	});
	
	$.getJSON(huayi.config.callcenter_url + 'Department/GetDeptList', {
		token: $.cookie("token")
	}, function(result) {
		if(result.state.toLowerCase() == "success") {
			var defaultDatas = helper.methods.buildTree(result.data);
			var sortChildrenArr = helper.methods.objToArray(defaultDatas[0].children);
			sortChildrenArr.sort(helper.methods.compare('sort'));
			var sortChildrenObj = helper.methods.arrayToObj(sortChildrenArr);
			defaultDatas[0].children = sortChildrenObj;
			if(defaultDatas) {
				var $sTree = $('#' + el1).treeview({
					color: "#1ab394",
					selectedBackColor: '#1ab394',
					expandIcon: 'glyphicon glyphicon-chevron-right',
					collapseIcon: 'glyphicon glyphicon-chevron-down',
					nodeIcon: 'fa fa-folder-o',
					//selectedIcon: "glyphicon glyphicon-stop",
					//icon: "glyphicon glyphicon-stop",
					//emptyIcon: 'glyphicon',
					//showCheckbox: true,
					selectable: true,
					state: {
						selected: true
					},
					data: defaultDatas,
					onNodeSelected: function(event, node) {
						$sTree.treeview('clearSearch');
						$('#' + el2).val(node.text);
						$('#' + el2).attr('data-id', node.id);
						$('#' + el1).removeClass('show').addClass('hidden');
						//获取接收人员
						getReceiveUser($('#order_receiveUser'), node.id);
					},
					onNodeUnselected: function(event, node) {
						$('#' + el2).attr('data-id', 0);
						$('#' + el2).attr('placeholder', '请选择接收部门');
						$('#order_receiveUser').empty();
						$('#order_receiveUser').append('<option value="0">请选择接收人</option>');
						$('#order_receiveUser').selectpicker('refresh');
					}
				});
//				$('#' + el1).treeview('collapseAll', {
//					silent: true
//				});
				$('#' + el1).treeview('expandAll', { levels: 2, silent: true });
				var findSNodes = function() {
					return $sTree.treeview('search', [$('#' + el2).val(), {
						ignoreCase: false,
						exactMatch: false
					}]);
				};
				$('#' + el2).on('keyup focus', function(e) {
					var selectableNodes = findSNodes();
					//var m = $('#' + el1).treeview('getParent', selectableNodes);
					//$('#' + el1).treeview('selectNode', [ m, { silent: true } ]);
				});
			}

		}
	})
}

//获取接收人员
function getReceiveUser(obj, deptid) {
	$.ajax({
		url: huayi.config.callcenter_url + 'UserAccount/GetDeptUserList',
		type: 'get',
		data: {
			deptid: deptid,
			token: $.cookie("token")
		},
		dataType: "json",
		async: true,
		success: function(res) {
			obj.empty();
			if(res.state.toLowerCase() === "success") {
				res = res.data;
				if(res && res.length > 0) {
					obj.append('<option value="0">请选择接收人</option>');
					res.forEach(function(v, i) {
						obj.append('<option value="' + v.F_UserId + '" data-code="'+ v.F_UserCode +'">' + v.F_UserName + '('+ v.F_UserCode +')</option>');
					});
					obj.selectpicker('refresh');
				}
			}
		},
	});
}





/**
 * 附件上传直接在知识库管理拿来用     开始
 * */

var proimglist = []; //保存附件数组
var uploader; //上传实例
var limitNum = 6; //限制数量
var edit_id = helper.request.queryString("edit_id");
var token = $.cookie("token");

$(function() {
	autosize($('textarea'));
	getChangeTree();
	if(edit_id) {
		getDetail();
	} else {
		$('#kn_type').val('顶级分类');
		$('#kn_type').attr('data-id', 0)
		uploaderImages();
	}
	//初始化 下拉
	$('.inps1').focus(function() {
		$('.xlAdd').css('display', 'block');
	});
	$('.xl_one').click(function() {
		if($('.xlAdd').css('display') == 'block') {
			$('.xlAdd').css('display', 'none')
		} else {
			$('.xlAdd').css('display', 'block')
		}
	});
	$('.addTree').mouseleave(function() {
		$(this).css('display', 'none')
	});
	
	$('#save_knowledge').on('click', saveKnowledge);
});



//修改弹出框内 下拉树形图参数配置项
function getChangeTree() {
	var setting3 = {
		data: {
			key: {
				name: "text"
			},
			simpleData: {
				enable: true,
				idKey: "id",
				rootPId: 0
			}
		},
		callback: {
			onClick: changeTreeClick
		}
	}
	$.get(huayi.config.callcenter_url + 'KnowledgeClass/GetList', {
//		"pid": pid,
		"token": token,
	}, function(result) {
		result = $.parseJSON(result);
		$.fn.zTree.init($("#addTreeDemo"), setting3, result.data); //实例化树形图
	});
}

function changeTreeClick(event, treeId, treeNode) {
	$('#kn_type').val(treeNode.text);
	$('#kn_type').attr('data-id', treeNode.id);
};

//获取详情
function getDetail() {
	var dtd = $.Deferred(); //在函数内部，新建一个Deferred对象
	$.ajax({
		type: "post",
		url: huayi.config.callcenter_url + "Knowledge/GetInfo",
		async: true,
		dataType: 'json',
		data: {
			infoid: edit_id,
			token: token
		},
		success: function(data) {
			var con = data.data;
			$('#kn_title').val(con.F_Title);
			$('#kn_key').val(con.F_KeyWords);
			$('#kn_content').val(con.F_Description);
			$('#kn_type').val(con.F_Expand1);
			$('#kn_type').attr('data-id', con.F_CategoryId);

			//附件
			var proimglists = con.FileUrls;
			proimglists = proimglists == null ? [] : proimglists;
			limitNum -= proimglists.length;
			uploaderImages(); //附件上传
			if(proimglists.length > 0) {
				$('#fileNum').text(proimglists.length);
				var $list = $("#fileList");
				$.each(proimglists, function(i, v) {
					proimglist.push(v.F_FileId);
					if(v.F_FileType.split("\/")[0] === 'image') {
						//原来的图片
						var $li = $(
							'<li><span class="img_mask"><i class="img_del"></i></span>' +
							'<img src="' + v.F_FileUrl + '" title="原来的图片"/>' +
							'<span class="file_name">' + v.F_FileName + '</span>' +
							'</li>'
						);
						$list.append($li);
					} else {
						var $liFile = $(
							'<li><span class="img_mask"><i class="img_del"></i></span>' +
							'<div class="noThumb" title="原来的文件"><i class="glyphicon glyphicon-paperclip"></i><p>无法预览</p></div>' +
							'<span class="file_name">' + v.F_FileName + '</span>' +
							'</li>'
						);
						$list.append($liFile);
					}
				});
				$list.find('li').off('click');
				$list.find('li').on('click', '.img_del', function() {
					$(this).parent().parent().remove();
					var itemFileName = $(this).parent().parent().find('.file_name').text();
					$.each(proimglists, function(i, v) {
						if(v && v.F_FileName == itemFileName) {
							proimglist.splice(i, 1);
						}
					});
					$('#fileNum').text(proimglist.length);
					limitNum = 6 - proimglist.length;
					uploaderImages();
				});
			}
			dtd.resolve(); // 改变Deferred对象的执行状态
		}
	});
	return dtd.promise(); // 返回promise对象
}

//保存
function saveKnowledge() {
	var wUrl;
	if(!$.trim($('#kn_type').val())) {
		layer.confirm('所属分类不能为空', {
			icon: 2,
			btn: ['确定'] //按钮
		});
		return;
	}
	
	if(!$.trim($('#kn_title').val())) {
		layer.confirm('标题不能为空', {
			icon: 2,
			btn: ['确定'] //按钮
		});
		return;
	}
	
	if(edit_id) {
		wURL = "Knowledge/EditInfo";
	} else {
		wURL = "Knowledge/AddInfo";
	}
	$.ajax({
		type: "post",
		url: huayi.config.callcenter_url + wURL,
		dataType: 'json',
		async: true,
		beforeSend: function() { //触发ajax请求开始时执行
			$('#save_knowledge').attr("disabled", true);
			$('#save_knowledge').text('保存中...');
			$(document).off('click', '#save_knowledge', saveKnowledge);
			loadIndex = layer.load();
		},
		data: {
			infoid: edit_id,
			title: $('#kn_title').val(),
			key: $('#kn_key').val(),
			con: helper.filter.delHtmlTag($('#kn_content').val()),
			pid: $('#kn_type').attr('data-id'),
			fileids: proimglist && proimglist.join(','),
			token: token
		},
		success: function(result) {
			if(result.state.toLowerCase() === "success") {
				var index = parent.layer.getFrameIndex(window.name);
				parent.layer.close(index);
				parent.table.bootstrapTable('refresh');
				layer.msg("保存成功");
			}
		},
		error: function(textStatus) {
			layer.close(loadIndex);
			layer.confirm('网络繁忙，请稍后再试...', {
				icon: 7,
				closeBtn: 0,
				btn: ['确定'] //按钮
			});
			$('#save_knowledge').text('保存');
			$('#save_knowledge').attr("disabled", false);
			$(document).off('click', '#save_knowledge', saveKnowledge);
			$(document).on('click', '#save_knowledge', saveKnowledge);
		},
		complete: function(XMLHttpRequest, textStatus) {
			layer.close(loadIndex);
			if(textStatus == 'timeout') {
				var xmlhttp = window.XMLHttpRequest ? new window.XMLHttpRequest() : new ActiveXObject("Microsoft.XMLHttp");
				xmlhttp.abort();
				layer.confirm('网络超时，请稍后再试...', {
					icon: 7,
					closeBtn: 0,
					btn: ['确定'] //按钮
				});　　　　
			}
			$('#save_knowledge').text('保存');
			$('#save_knowledge').attr("disabled", false);
			$(document).off('click', '#save_knowledge', saveKnowledge);
			$(document).on('click', '#save_knowledge', saveKnowledge);
		},
	});
}

//上传附件
function uploaderImages() {
	if(uploader) {
		uploader.destroy();
	}
	uploader = WebUploader.create({
		auto: true, // 选完文件后，是否自动上传 
		swf: '../../js/webuploader/Uploader.swf', // swf文件路径 
		server: huayi.config.callcenter_url + "Knowledge/UpLoadProcess", // 文件接收服务端 
		pick: '#imgPicker', // 选择文件的按钮。可选 
		formData: {
			token: token
		},
		// 多类型文件上传 
		accept: {
			title: 'Files',
			extensions: 'gif,jpg,jpeg,bmp,png,pdf,doc,docx,txt,xls,xlsx,ppt,pptx,zip,mp3,mp4,text,csv',
			mimeTypes: 'image/*,text/*,audio/mpeg,audio/mp4, video/mp4'
					//word
			+',application/msword,application/vnd.openxmlformats-officedocument.wordprocessingml.document'
					//excel
			+',application/vnd.ms-excel,application/vnd.openxmlformats-officedocument.spreadsheetml.sheet'
					//ppt
			+',application/vnd.ms-powerpoint,application/vnd.openxmlformats-officedocument.presentationml.presentation'
			+',application/pdf'
			+',application/zip'
			+',application/csv'
			//			title: 'Images',
			//			extensions: 'gif,jpg,jpeg,bmp,png',
			//			mimeTypes: 'image/*'
		},
		compress: false, //webuploader默认压缩图片,设置compress:false，可以按照原始比例上传图片  
		//fileVal: "upFile",//设置文件上传域的name。  
		threads: limitNum, //上传并发数。允许同时最大上传进程数,为了保证文件上传顺序  
		fileNumLimit: limitNum,
		fileSizeLimit: 180 * 1024 * 1024, // 180 M
		fileSingleSizeLimit: 30 * 1024 * 1024 // 30 M
	});

	uploader.on('fileQueued', function(file) {
		var $list = $("#fileList"),
			$li = $(
				'<li id="' + file.id + '"><span class="img_mask"><i class="img_del"></i></span>' +
				'<img/>' +
				'<span class="img_state"><i></i></span>' +
				'<span class="file_name">' + file.name + '</span>' +
				'</li>'
			),
			$img = $li.find('img');

		// $list为容器jQuery实例 
		$list.append($li);

		// 保存缩略图 
		uploader.makeThumb(file, function(error, src) {
			if(error) {
				$img.replaceWith('<div class="noThumb"><i class="glyphicon glyphicon-paperclip"></i><p>无法预览</p></div>');
				return;
			}
			$img.attr('src', src);
		}, 109, 109); //109*109为缩略图尺寸 

		//绑定删除
		$('#' + file.id).on('click', '.img_del', function() {
			uploader.removeFile(file);
			var $fileLi = $('#' + file.id);
			$fileLi.off().find('.img_del').off().end().remove();
			var itemFileName = $(this).parent().parent().find('.file_name').text();
			$.each(proimglist, function(i, v) {
				if(v && v.filename == itemFileName) {
					proimglist.splice(i, 1);
					//helper.methods.delImgs(v.filesmallurl, v.fileurl);
				}
			});
			$('#fileNum').text(proimglist.length);
		});

	});

	// 文件上传过程中保存进度条实时显示。 
	uploader.on('uploadProgress', function(file, percentage) {
		var $li = $('#' + file.id),
			$percent = $li.find('.progress span');

		// 避免重复保存 
		if(!$percent.length) {
			$percent = $('<div class="progress" style="">' +
					'<span class="text">0%</span>' +
					'<span class="percentage"></span>' +
					'</div>')
				.appendTo($li)
				.find('span');
		}

		$percent.eq(0).text(Math.round(percentage * 100) + '%');
		$percent.eq(1).css('width', Math.round(percentage * 100) + '%');
	});

	// 文件上传成功，给item添加成功class, 用样式标记上传成功。 
	uploader.on('uploadSuccess', function(file, res) {
		proimglist.push(res.data.F_FileId);
		$('#fileNum').text(proimglist.length);
		$('#' + file.id).addClass('upload-state-done');
	});

	// 文件上传失败，显示上传出错。 
	uploader.on('uploadError', function(file) {
		var $li = $('#' + file.id),
			$error = $li.find('div.error');

		// 避免重复创建
		if(!$error.length) {
			$error = $('<div class="error"></div>').appendTo($li);
		}

		$error.text('上传失败');
	});

	// 完成上传完了，成功或者失败，先删除进度条。 
	uploader.on('uploadComplete', function(file) {
		$('#' + file.id).find('.progress').remove();
	});

	uploader.onError = function(code) {
		//		console.log('Error：' + code);
		switch(code) {
			case "Q_EXCEED_NUM_LIMIT":
				layer.msg('只能上传六个文件。');
				break;
			case "Q_TYPE_DENIED":
				layer.msg('文件类型不正确。');
				break;
			case "F_DUPLICATE":
				layer.msg('该文件已上传，请选择其它文件。');
				break;
			case "F_EXCEED_SIZE":
				layer.msg('单文件大小不能超过30M。');
				break;
			case "Q_EXCEED_SIZE_LIMIT":
				layer.msg('总文件大小不能超过180M。');
				break;
			default:
				break;
		}

	};
}
/**
 * 附件上传直接在知识库管理拿来用     结束
 * */